package fr.cnam.joueur;

import java.rmi.*;
import fr.cnam.joueur.FactoryAgentInt;
import java.util.*;
import java.awt.Point;

public class Agent_Collant extends Agent 
{
    int compteur;
    public Agent_Collant(int couleur,
                         FactoryAgentInt factory,
                         int portRMI) throws RemoteException
    {
        super(couleur,
              factory,
              portRMI);
    }

    public void deplacer()
    {
        try{
            if (! espace.getModeCombat())
                {
                    if (compteur<30)
                        {
                            if (! deplacerEnsemble(0))
                                super.deplacer();
                            compteur++;
                        }
                    else
                        {
                            if ( ! deplacerEnsembleInferieur(2,3))
                                {
                                    if (! deplacerEnsemble(0))
                                        super.deplacer();
                                }
                            else
                                super.deplacer();
                        }
                }
            else
                {
                    if ( ! deplacerEnnemie())
                        super.deplacer();
                }
                 
        }catch(Exception ex){System.out.println(ex);ex.printStackTrace();};
    }
}